ki2.h File Reference
`#include "osl/record/record.h"`
`#include "osl/record/kanjiMove.h"`
`#include <string>`
`#include <iosfwd>`

Go to the source code of this file.

## Classes

class | osl::ki2::Ki2File
| 「.ki2」という拡張子を持つ2ch形式ファイル. More...
class | osl::Ki2File
| 「.ki2」という拡張子を持つ2ch形式ファイル. More...

## Namespaces

namespace | osl
namespace | osl::ki2

## Functions

const std::string | osl::ki2::show (Square)
const std::string | osl::ki2::show (Square cur, Square prev)
const std::string | osl::ki2::show (Ptype)
const std::string | osl::ki2::showPromote (bool)
const std::string | osl::ki2::show (Move move, const NumEffectState &state, Move prev=Move())
const std::string | osl::ki2::show (const Move *first, const Move *last, const NumEffectState &state, Move prev=Move())
const std::string | osl::ki2::show (const Move *first, const Move *last, const char *threatmate_first, const char *threatmate_last, const NumEffectState &state, Move prev=Move())